<template lang="pug">
  div
    b-navbar.wrap-navbar(toggleable='lg', type='dark', variant='primary')
      b-navbar-brand(:to="{ name: 'index' }") 
        logo.logo.m-1
      b-navbar-toggle(target='nav-collapse')
      b-collapse#nav-collapse(is-nav='')
        b-navbar-nav.ml-auto
          b-nav-item(:to="{ name: 'index' }") Home
          b-nav-item(:to="{ name: 'explore' }") Explore
          b-nav-item(disabled='' :to="{ name: 'review' }") Review

          b-nav-item(:to="{ name: 'auth-login' }" v-if="!isLogin") 
            fa.mr-2(:icon="['fas', 'user']") 
            | Login 
          b-nav-item-dropdown(v-else right='')
            // Using 'button-content' slot
            template(v-slot:button-content='')
              em {{user.name}}
            b-dropdown-item(@click="onSignOff") Sign Out

</template>

<script>
import Logo from '~/components/Logo'
import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
    Logo
  },
  computed: {
    ...mapGetters('auth', ['isLogin', 'user'])
  },
  methods: {
    ...mapActions('auth', ['onSignOff'])
  }
}
</script>

<style lang="less" scoped>
  .wrap-navbar {
    background-image: linear-gradient(to left, #175a9d, #1cbbb4, #55bf9d);
  }
  .nav-item {
    .nuxt-link-active,
    .nuxt-link-exact-active{
      opacity: 1;
    }
  }

  .logo {
    max-width: 42px;
    max-height: 42px;
  }

</style>